質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.48%

Pythonのエラーの意味がわからない

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 745

score 10

DiscordのBOTを作っている人でわけのわからない長文のエラーに困っています。
エラーの意味を教えてほしいです。
テキストファイルからBOTのTOKENを読み取っているのですがそれがよくないのでしょうか?

Traceback (most recent call last):
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\gateway.py", line 468, in poll_event
    msg = await self.recv()
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\websockets\protocol.py", line 350, in recv
    yield from self.ensure_open()
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\websockets\protocol.py", line 512, in ensure_open
    self.close_code, self.close_reason) from self.transfer_data_exc
websockets.exceptions.ConnectionClosed: WebSocket connection is closed: code = 4004 (private use), reason = Authentication failed.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "Conect.py", line 47, in <module>
    client.run(TOKEN)
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\client.py", line 598, in run
    return future.result()
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\client.py", line 579, in runner
    await self.start(*args, **kwargs)
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\client.py", line 543, in start
    await self.connect(reconnect=reconnect)
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\client.py", line 457, in connect
    await self._connect()
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\client.py", line 421, in _connect
    await self.ws.poll_event()
  File "C:\Users\ユーザー名\AppData\Local\Programs\Python\Python37\lib\site-packages\discord\gateway.py", line 476, in poll_event
    raise ConnectionClosed(exc, shard_id=self.shard_id) from exc
discord.errors.ConnectionClosed: WebSocket connection is closed: code = 4004 (private use), reason = Authentication failed.
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

Issue with token verification · Issue #2135 · Rapptz/discord.py

ここで同様の問題が報告されています。
このエラーの原因となっているのはトークン文字列に改行文字(\n)が含まれていることのようです

テキストファイルからどのようにトークンを読み取っているのかが分かりませんが、改行文字を置換で削除するなどの対処法が考えられます

with open(path) as f:
    token = f.read()

token = token.replace("\n","")

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/12/26 20:36

    なるほど!プログラムを修正したらなおりました!
    まさか改行がじゃましていただけだったなんて
    回答ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る